> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2organizations domains landing pagestart verification



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/organizations/{orgId}/domains/{assetId}/landing-page/start-verification
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
paths:
  /api/v2/organizations/{orgId}/domains/{assetId}/landing-page/start-verification:
    post:
      tags:
        - Domains
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: assetId
          in: path
      responses:
        '200':
          description: >-
            Registers the domain with Vercel if needed and reports the DNS
            record it requires
          content:
            application/json:
              schema:
                type: object
                properties:
                  dns:
                    anyOf:
                      - type: object
                        properties:
                          valid:
                            type: boolean
                            enum:
                              - true
                          required:
                            nullable: true
                        required:
                          - valid
                          - required
                      - type: object
                        properties:
                          valid:
                            type: boolean
                            enum:
                              - false
                          required:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - A
                                  - CNAME
                              value:
                                type: string
                            required:
                              - type
                              - value
                        required:
                          - valid
                          - required
                required:
                  - dns
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````